<div class="container">

  <div class="row">
    <div class="col">
      <h2><i class="fas fa-cogs"></i> Preferences</h2>
    </div>
  </div>
  <div class="row preferences">
    <div class="col-md-4">
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <label class="input-group-text" for="inputBudgetSelect01">Budget</label>
        </div>
        <select [(ngModel)]="selectedBudget" (ngModelChange)="loadBudgetItems()" class="custom-select" id="inputBudgetSelect01">
          <option selected disabled>Choose Budget</option>
          <option *ngFor="let budget of budgets" [value]="budget.id" >{{budget.name}}</option>
        </select>
      </div>
    </div>
    <div class="col-md-4">
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <label class="input-group-text" for="inputGroupSelect01">Period</label>
        </div>
        <select [(ngModel)]="month" (ngModelChange)="loadDatasets()" class="custom-select" id="inputPeriodSelect">
          <option selected disabled>Last month</option>
          <option [value]="3" >April</option>
          <option [value]="4" >May</option>
        </select>
      </div>
    </div>
  </div>

  <!-- Chart -->
  <div class="row">
    <div class="col">
      <div *ngIf="chart">
        <canvas id="canvas">{{ chart }}</canvas>
      </div>
    </div>
  </div>

</div>
